package com.unipi.talepis.iatrikiandroid2024_1;

import android.os.Bundle;
import android.view.View;
import android.widget.EditText;

import androidx.activity.EdgeToEdge;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.graphics.Insets;
import androidx.core.view.ViewCompat;
import androidx.core.view.WindowInsetsCompat;

import com.android.volley.Request;
import com.android.volley.RequestQueue;
import com.android.volley.Response;
import com.android.volley.VolleyError;
import com.android.volley.toolbox.JsonArrayRequest;
import com.android.volley.toolbox.JsonObjectRequest;
import com.android.volley.toolbox.Volley;

import org.json.JSONArray;
import org.json.JSONException;
import org.json.JSONObject;

public class MainActivity extends AppCompatActivity {
    EditText multiline;
    RequestQueue requestQueue;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        EdgeToEdge.enable(this);
        setContentView(R.layout.activity_main);
        ViewCompat.setOnApplyWindowInsetsListener(findViewById(R.id.main), (v, insets) -> {
            Insets systemBars = insets.getInsets(WindowInsetsCompat.Type.systemBars());
            v.setPadding(systemBars.left, systemBars.top, systemBars.right, systemBars.bottom);
            return insets;
        });
        multiline = findViewById(R.id.editTextTextMultiLine);
        requestQueue = Volley.newRequestQueue(this);
    }
    public void go1(View view){
        JsonArrayRequest arrayRequest =
                new JsonArrayRequest(Request.Method.GET,
                        "http://10.0.2.2:8080/beverages",
                        null,
                        new Response.Listener<JSONArray>() {
                            @Override
                            public void onResponse(JSONArray jsonArray) {
                                //multiline.setText(jsonArray.toString());
                                for(int i = 0 ;i<jsonArray.length();i++){
                                    try {
                                        JSONObject object = jsonArray.getJSONObject(i);
                                        multiline.append(object.getString("title"));
                                        multiline.append("\n");
                                        multiline.append(String.valueOf(object.getInt("calories")));
                                        multiline.append(" calories");
                                        multiline.append("\n");
                                        multiline.append("\n");
                                    } catch (JSONException e) {
                                        throw new RuntimeException(e);
                                    }
                                }
                            }
                        }, new Response.ErrorListener() {
                    @Override
                    public void onErrorResponse(VolleyError volleyError) {
                        multiline.setText(volleyError.getLocalizedMessage());
                    }
                });
        requestQueue.add(arrayRequest);
    }
}